Skip to content

Audit API

GET /api/v1/audit/trail

Query the audit trail.

Parameters:

Parameter Type Description
entity_type string Filter: agent, run, gate, observation, organization
entity_id string Filter by specific entity
action string Filter by action type
from ISO 8601 Start date
to ISO 8601 End date
page integer Page number (default 1)
limit integer Items per page (default 50, max 100)

Response:

{
  "trail": [
    {
      "id": "uuid",
      "orgId": "uuid",
      "entityType": "gate",
      "entityId": "uuid",
      "action": "gate_approved",
      "actor": "[email protected]",
      "details": {"runId": "uuid", "gate": "plan"},
      "createdAt": "2026-03-01T00:00:00Z"
    }
  ],
  "page": 1,
  "limit": 50
}